using System;
namespace HaTeam.Dd.Model
{
	/// <summary>
	/// Dd_Picture:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class Dd_Picture
	{
		public Dd_Picture()
		{}
		#region Model
		private int _picture_id;
		private int _user_id;
		private string _picture_address;
		private string _picture_discription;
		private string _picture_tag;
		private int? _picture_originid;
		private int? _picture_publishmode=1;
		private bool? _picture_puttop= false;
		private int? _picture_fever=0;
		private string _picture_guid;
		private DateTime? _picture_datetime= DateTime.Now;
		private DateTime? _picture_updatetime= DateTime.Now;
		private int? _picture_verify;
		private int? _picture_lock;
		private int? _picture_state;
		private int? _picture_delete;
		private int? _picture_count;
		private int? _picture_order=1;
		private string _picture_remark;
		private string _picture_empty;
		/// <summary>
		/// 图片的唯一标识
		/// </summary>
		public int Picture_ID
		{
			set{ _picture_id=value;}
			get{return _picture_id;}
		}
		/// <summary>
		/// 图片的拥有者用户ID作外键
		/// </summary>
		public int User_ID
		{
			set{ _user_id=value;}
			get{return _user_id;}
		}
		/// <summary>
		/// 多张图片用字符隔开
		/// </summary>
		public string Picture_Address
		{
			set{ _picture_address=value;}
			get{return _picture_address;}
		}
		/// <summary>
		/// 图片的描述信息
		/// </summary>
		public string Picture_Discription
		{
			set{ _picture_discription=value;}
			get{return _picture_discription;}
		}
		/// <summary>
		/// 图片标签
		/// </summary>
		public string Picture_Tag
		{
			set{ _picture_tag=value;}
			get{return _picture_tag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Picture_OriginId
		{
			set{ _picture_originid=value;}
			get{return _picture_originid;}
		}
		/// <summary>
		/// 发布状态1立即发布2保存在草稿3加入到自动发布列表4紧自己可见
		/// </summary>
		public int? Picture_PublishMode
		{
			set{ _picture_publishmode=value;}
			get{return _picture_publishmode;}
		}
		/// <summary>
		/// 是否置顶默认置顶
		/// </summary>
		public bool? Picture_PutTop
		{
			set{ _picture_puttop=value;}
			get{return _picture_puttop;}
		}
		/// <summary>
		/// 热度即浏览量
		/// </summary>
		public int? Picture_Fever
		{
			set{ _picture_fever=value;}
			get{return _picture_fever;}
		}
		/// <summary>
		/// 数据库表唯一性标识
		/// </summary>
		public string Picture_Guid
		{
			set{ _picture_guid=value;}
			get{return _picture_guid;}
		}
		/// <summary>
		/// 创建时间(本记录的创建时间)
		/// </summary>
		public DateTime? Picture_Datetime
		{
			set{ _picture_datetime=value;}
			get{return _picture_datetime;}
		}
		/// <summary>
		/// 更新时间(本记录最近修改时间)
		/// </summary>
		public DateTime? Picture_UpDatetime
		{
			set{ _picture_updatetime=value;}
			get{return _picture_updatetime;}
		}
		/// <summary>
		/// 是否审核(0未审核,1已审核)
		/// </summary>
		public int? Picture_Verify
		{
			set{ _picture_verify=value;}
			get{return _picture_verify;}
		}
		/// <summary>
		/// 是否锁定(0未锁定,1锁定)
		/// </summary>
		public int? Picture_Lock
		{
			set{ _picture_lock=value;}
			get{return _picture_lock;}
		}
		/// <summary>
		/// 数据状态(0正常,1不正常)
		/// </summary>
		public int? Picture_State
		{
			set{ _picture_state=value;}
			get{return _picture_state;}
		}
		/// <summary>
		/// 是否删除(0未删除,1已删除)
		/// </summary>
		public int? Picture_Delete
		{
			set{ _picture_delete=value;}
			get{return _picture_delete;}
		}
		/// <summary>
		/// 使用次数(本记录使用次数)
		/// </summary>
		public int? Picture_Count
		{
			set{ _picture_count=value;}
			get{return _picture_count;}
		}
		/// <summary>
		/// 记录排序(记录显示的顺序)
		/// </summary>
		public int? Picture_Order
		{
			set{ _picture_order=value;}
			get{return _picture_order;}
		}
		/// <summary>
		/// 备注说明信息
		/// </summary>
		public string Picture_Remark
		{
			set{ _picture_remark=value;}
			get{return _picture_remark;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Picture_Empty
		{
			set{ _picture_empty=value;}
			get{return _picture_empty;}
		}
		#endregion Model

	}
}

